﻿// Deathstrike CC
// DeathKnight Release
// by Wulf

// Credits to fiftypence from the Honorbuddy forums his DoctrineRet CC without which this CC would not be possible.

using System.IO;

using Styx;
using Styx.Helpers;

namespace Deathstrike
{
    public class DeathstrikeSettings : Settings
    {
        public static readonly DeathstrikeSettings Instance = new DeathstrikeSettings();

        public DeathstrikeSettings() : base(Path.Combine(Logging.ApplicationPath, string.Format("CustomClasses/Deathstrike/Settings/{0}.xml", StyxWoW.Me.Name)))
        {
        }


        ////////////////////
        ////////////////////
        // Party Settings //
        ////////////////////
        ////////////////////


        //Common class settings
        [Setting, DefaultValue(false)]
        // 0 for off, 1 for on
        public bool Setting_Logging { get; set; }

        [Setting, DefaultValue(0)]
        // 0 for Unholy, 1 for Blood
        public int Setting_Presence { get; set; }

        [Setting, DefaultValue(true)]
        //force Presence depending on 0 for Frost, 1 for Blood
        public bool Setting_ForcePresence { get; set; }

        //Healing settings

        [Setting, DefaultValue(35)]
        // What percent to use Icebound Fortitude
        public int Setting_IceboundFortitude { get; set; }

        [Setting, DefaultValue(70)]
        // What percent to use Vampiric Blood
        public int Setting_VampiricBlood { get; set; }

        [Setting, DefaultValue(30)]
        // What percent to use Rune Tap
        public int Setting_RuneTap { get; set; }

        [Setting, DefaultValue(40)]
        // What percent to use Death Pact
        public int Setting_DeathPact { get; set; }

        [Setting, DefaultValue(40)]
        // What percent to use Lichborne
        public int Setting_LichborneDC { get; set; }

        [Setting, DefaultValue(true)]
        // Use Empowered Rune weapon
        public bool Setting_UseERW { get; set; }

        [Setting, DefaultValue(true)]
        // Use Dancing Rune Weapon
        public bool Setting_UseDRW { get; set; }

        [Setting, DefaultValue(false)]
        // false for no movement, true to move
        public bool Setting_Party_UseMovement { get; set; }

        [Setting, DefaultValue(false)]
        // false for no facing, true to face
        public bool Setting_Party_UseFaceTarget { get; set; }

        [Setting, DefaultValue(true)]
        //use taunt on targets
        public bool Setting_Party_UseTaunt { get; set; }

        [Setting, DefaultValue(true)]
        // false to dismount, true to never dismount
        public bool Setting_Party_UseNeverDismount { get; set; }


        [Setting, DefaultValue(true)]
        // false to not use Interupts
        public bool Setting_Party_UseInterrupt { get; set; }


        [Setting, DefaultValue(2)]
        // 0 for off, 1 for lowest threat, 2 for closest
        public int Setting_Party_UseTarget { get; set; }


        [Setting, DefaultValue(0)]
        // 0 for off, 1 for with cooldowns, 2 for on cooldown
        public int Setting_Party_UseTrinket1 { get; set; }

        [Setting, DefaultValue(0)]
        // 0 for off, 1 for with cooldowns, 2 for on cooldown
        public int Setting_Party_UseTrinket2 { get; set; }


        [Setting, DefaultValue(2)]
        // 0 to never use cooldowns, 1 to use cooldowns on boss+trash, 2 to use cooldowns on boss
        public int Setting_Party_UseCooldowns { get; set; }




        ///////////////////
        ///////////////////
        // Raid Settings //
        ///////////////////
        ///////////////////




        [Setting, DefaultValue(false)]
        //use taunt growl and Challenging Roar on targets
        public bool Setting_Raid_UseTaunt { get; set; }

        [Setting, DefaultValue(true)]
        // false to dismount, true to never dismount
        public bool Setting_Raid_UseNeverDismount { get; set; }

        [Setting, DefaultValue(true)]
        // false to not use Interupt, true to do so
        public bool Setting_Raid_UseInterrupt { get; set; }


        [Setting, DefaultValue(2)]
        // 0 for off, 1 for lowest threat, 2 for closest
        public int Setting_Raid_UseTarget { get; set; }


        [Setting, DefaultValue(0)]
        // 0 for off, 1 for with cooldowns, 2 for on cooldown
        public int Setting_Raid_UseTrinket1 { get; set; }

        [Setting, DefaultValue(0)]
        // 0 for off, 1 for with cooldowns, 2 for on cooldown
        public int Setting_Raid_UseTrinket2 { get; set; }

        [Setting, DefaultValue(2)]
        // 0 to never use cooldowns, 1 to use cooldowns on boss+trash, 2 to use cooldowns on boss
        public int Setting_Raid_UseCooldowns { get; set; }

    }
}
